Eclipse GEF 3.3

## org.eclipse.gef.ui.parts
Class PaletteViewerKeyHandler

    java.lang.Object
      org.eclipse.gef.KeyHandler
          org.eclipse.gef.ui.parts.GraphicalViewerKeyHandler
              org.eclipse.gef.ui.parts.PaletteViewerKeyHandler

public class PaletteViewerKeyHandler
extends GraphicalViewerKeyHandler

KeyHandler for the `Palette`. Handles selection traversal of Palette entries and collapse/expand of categories.

Constructor Summary
`PaletteViewerKeyHandler(PaletteViewer viewer)` Constructs a key handler for the specified palette viewer.

Method Summary
`protected Point` `getNavigationPoint(IFigure figure)` Figures' navigation points are used to determine their direction compared to one another, and the distance between them.
`protected List` `getNavigationSiblings()` Returns the list of editparts which are conceptually at the same level of navigation as the currently focused editpart.
`boolean` `keyPressed(KeyEvent event)` Extends keyPressed to look for palette navigation keys.
`protected void` `navigateTo(EditPart part, KeyEvent event)` Navigates to the given EditPart

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalViewerKeyHandler
`getFocusEditPart, getViewer, isViewerMirrored, processSelect`

Methods inherited from class org.eclipse.gef.KeyHandler
`keyReleased, put, remove, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteViewerKeyHandler

    public PaletteViewerKeyHandler(PaletteViewer viewer)

  Constructs a key handler for the specified palette viewer.

Parameters:
  `viewer` - the palette viewer

Method Detail

### getNavigationPoint

    protected Point getNavigationPoint(IFigure figure)

  Figures' navigation points are used to determine their direction compared to one another, and the distance between them.

  Parameters:
    `figure` - the figure whose navigation point is to be returned
  Returns:
    the top-left of the given figure

### getNavigationSiblings

    protected List getNavigationSiblings()

  Description copied from class: `GraphicalViewerKeyHandler`
  Returns the list of editparts which are conceptually at the same level of navigation as the currently focused editpart. By default, these are the siblings of the focused part.

  This implementation returns a list that contains the EditPart that has focus.

  Overrides:
    `getNavigationSiblings` in class `GraphicalViewerKeyHandler`
  Returns:
    a list of `EditParts` that can be traversed to from the current `focus part`

### keyPressed

    public boolean keyPressed(KeyEvent event)

  Extends keyPressed to look for palette navigation keys.

  Overrides:
    `keyPressed` in class `GraphicalViewerKeyHandler`
  See Also:
    `org.eclipse.gef.KeyHandler#keyPressed(org.eclipse.swt.events.KeyEvent)`

### navigateTo

    protected void navigateTo(EditPart part,
                              KeyEvent event)

  Description copied from class: `GraphicalViewerKeyHandler`
  Navigates to the given EditPart

  Overrides:
    `navigateTo` in class `GraphicalViewerKeyHandler`
  Parameters:
    `part` - the EditPart to navigate to
    `event` - the KeyEvent that triggered this traversal
  See Also:
    `GraphicalViewerKeyHandler.navigateTo(EditPart, KeyEvent)`

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.